<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PacketSynchService (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PacketSynchService (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PacketSynchService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../io/mosip/registration/service/sync/PreRegistrationDataSyncService.html" title="interface in io.mosip.registration.service.sync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/service/sync/PacketSynchService.html" target="_top">Frames</a></li>
<li><a href="PacketSynchService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.service.sync</div>
<h2 title="Interface PacketSynchService" class="title">Interface PacketSynchService</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketSynchServiceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">PacketSynchService</span></pre>
<div class="block">Service class for Packet Sync</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>saravanakumar gnanaguru</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#fetchPacketsToBeSynched--">fetchPacketsToBeSynched</a></span>()</code>
<div class="block">This method is used to fetch the packets from the table which needs to be
 synched.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#packetSync-java.util.List-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetsToBeSynched)</code>
<div class="block">Packet sync.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#packetSync-java.lang.String-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;rId)</code>
<div class="block">Sync packet after creation when EOD is OFF .</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#syncAllPackets--">syncAllPackets</a></span>()</code>
<div class="block">Sync all packets.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#syncEODPackets-java.util.List-">syncEODPackets</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;regIds)</code>
<div class="block">Sync packets after approval/rejection in EOD when EOD is ON.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#syncPacketsToServer-io.mosip.registration.dto.RegistrationPacketSyncDTO-java.lang.String-">syncPacketsToServer</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto">RegistrationPacketSyncDTO</a>&nbsp;syncDtoList,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">This method is used to synch the packets to the server.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#updateSyncStatus-java.util.List-">updateSyncStatus</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;synchedPackets)</code>
<div class="block">This method is used to update the synched packets in the table.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fetchPacketsToBeSynched--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchPacketsToBeSynched</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;fetchPacketsToBeSynched()</pre>
<div class="block">This method is used to fetch the packets from the table which needs to be
 synched.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of packet Status DTO</dd>
</dl>
</li>
</ul>
<a name="syncPacketsToServer-io.mosip.registration.dto.RegistrationPacketSyncDTO-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>syncPacketsToServer</h4>
<pre><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;syncPacketsToServer(<a href="../../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto">RegistrationPacketSyncDTO</a>&nbsp;syncDtoList,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)
                         throws <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a>,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URISyntaxException.html?is-external=true" title="class or interface in java.net">URISyntaxException</a>,
                                io.mosip.kernel.core.util.exception.JsonProcessingException</pre>
<div class="block">This method is used to synch the packets to the server.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>syncDtoList</code> - the sync dto list</dd>
<dd><code>triggerPoint</code> - the trigger point</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the response DTO</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - the reg base checked exception</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/URISyntaxException.html?is-external=true" title="class or interface in java.net">URISyntaxException</a></code> - the URI syntax exception</dd>
<dd><code>io.mosip.kernel.core.util.exception.JsonProcessingException</code> - the json processing exception</dd>
</dl>
</li>
</ul>
<a name="updateSyncStatus-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateSyncStatus</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;updateSyncStatus(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;synchedPackets)</pre>
<div class="block">This method is used to update the synched packets in the table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>synchedPackets</code> - the synched packets</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the boolean</dd>
</dl>
</li>
</ul>
<a name="packetSync-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packetSync</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;packetSync(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;rId)
           throws <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Sync packet after creation when EOD is OFF .</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rId</code> - the registration id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the packet to sync</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - the reg base checked exception</dd>
</dl>
</li>
</ul>
<a name="syncEODPackets-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>syncEODPackets</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncEODPackets(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;regIds)
               throws <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Sync packets after approval/rejection in EOD when EOD is ON.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>regIds</code> - the list registration id's to sync</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the error message if any</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - the reg base checked exception</dd>
</dl>
</li>
</ul>
<a name="packetSync-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packetSync</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;packetSync(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetsToBeSynched)
           throws <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Packet sync.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>packetsToBeSynched</code> - the packets to be synched</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the string</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - the reg base checked exception</dd>
</dl>
</li>
</ul>
<a name="syncAllPackets--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>syncAllPackets</h4>
<pre>void&nbsp;syncAllPackets()
             throws <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></pre>
<div class="block">Sync all packets.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></code> - the reg base checked exception</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PacketSynchService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../io/mosip/registration/service/sync/PreRegistrationDataSyncService.html" title="interface in io.mosip.registration.service.sync"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/service/sync/PacketSynchService.html" target="_top">Frames</a></li>
<li><a href="PacketSynchService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
